Adds a response to a performer prompt. Deprecated

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Cadency Close Task Action Plan API MCP server": {
  "url": "https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp"
}
Close
POST /tasks/performer-prompts

Adds a response to a performer prompt. Response is checked to be the same as the performer prompt type.

Read More about Performer Prompts
application/json

Body Required

  • response string Required

    The response for the close task action plan question which we are updating

    Minimum length is 0, maximum length is 2048.

  • taskNumber string Required

    The number for the close task action plan which we are updating

  • periodId string Required

    The period for the close task action plan which we are updating

    Format should match the following pattern: ^[1-9]\d*$|latest.

  • questionNumber integer(int32) Required

    The question for the close task action plan which we are updating

    Minimum value is 1, maximum value is 30.

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • response string Required

      The response for the close task action plan question which we are updating

      Minimum length is 0, maximum length is 2048.

    • taskNumber string Required

      The number for the close task action plan which we are updating

    • periodId string Required

      The period for the close task action plan which we are updating

      Format should match the following pattern: ^[1-9]\d*$|latest.

    • questionNumber integer(int32) Required

      The question for the close task action plan which we are updating

      Minimum value is 1, maximum value is 30.

POST /tasks/performer-prompts
curl \
 --request POST 'https://usaapi02.cadencyservices.trintech.com/test/api/tasks/performer-prompts' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"response":"string","taskNumber":"string","periodId":"string","questionNumber":42}'
Request examples
{
  "response": "string",
  "taskNumber": "string",
  "periodId": "string",
  "questionNumber": 42
}
Response examples (200)
{
  "response": "string",
  "taskNumber": "string",
  "periodId": "string",
  "questionNumber": 42
}